ECMAScript support is ES2015 only?

Discussion forum for contributors and developers who are using the QCAD ECMAScript development platform or the C++ plugin interface or who are otherwise looking to contribute to QCAD (translations, documentation, etc).

Moderator: andrew

Post Reply
stu002
Newbie Member
Posts: 3
Joined: Thu Jan 30, 2020 5:16 am

ECMAScript support is ES2015 only?

Post by stu002 » Thu Jan 30, 2020 5:22 am

Hi,

Is the QCAD Pro ECMAScript support limited to ES2015 only? My experiments in the scripting shell window show more modern language additions rejected with a syntax error.

Is there any prospect of support for ES2016, ES2017, or ES2018? There have been some useful additions to the language since 2015.

Thanks,

Stu

Post Reply

Return to “QCAD Developers and Contributors”